Bug 254559

Summary: www/aria2: Makefile cleanup, switch to expat, make libuv and static lib optional
Product: Ports & Packages Reporter: Daniel Engberg <diizzy>
Component: Individual Port(s)Assignee: Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Only Me CC: danfe
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch for aria2 none

Description Daniel Engberg freebsd_committer 2021-03-25 21:38:33 UTC
Created attachment 223583 [details]
Patch for aria2

Rearrange Makefile for readability and pet portlint
Switch xml library to expat, smaller and slightly faster
Add option to use libuv and make static lib optional and non default options

No functional change

Compile tested on FreeBSD 13.0-RC1 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Daniel Engberg freebsd_committer 2021-04-14 08:17:02 UTC
Friendly ping
Comment 2 Alexey Dokuchaev freebsd_committer 2021-04-17 08:40:02 UTC
Over to maintainer.  FWIW, it does not look like "cleanup" at all, more like gratuitous shuffling Makefile lines around.  Please don't fix what ain't broken.
Comment 3 Po-Chuan Hsieh freebsd_committer 2021-04-25 21:18:55 UTC
upstream says libxml2 has precedence over expat.
Comment 4 Daniel Engberg freebsd_committer 2021-04-25 22:51:57 UTC
That seems to more of a notice rather than preference. The instructions for Windows and Android do however specifically say expat and not libxml2 fwiw.
It says similar for SSL lib, "GnuTLS has precedence over OpenSSL" so I don't think there's anything to read into.
Comment 5 commit-hook freebsd_committer 2021-07-21 21:15:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8965c60d6e6e086ebea2ecbe57d072f0418d978b

commit 8965c60d6e6e086ebea2ecbe57d072f0418d978b
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-21 21:12:56 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-21 21:12:56 +0000

    www/aria2: Add EXPAT, LIBUV and LIBXML2 options

    It allows users to choose XML backend.

    PR:             254559
    Requested by:   Daniel Engberg <daniel.engberg.lists@pyret.net>

 www/aria2/Makefile | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-07-24 20:34:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7e3acffb5ec90aac20dcac6a90dc8b70b45d55ba

commit 7e3acffb5ec90aac20dcac6a90dc8b70b45d55ba
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-24 20:21:15 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-24 20:21:15 +0000

    www/aria2: Add STATIC option

    PR:             254559
    Requested by:   Daniel Engberg <daniel.engberg.lists@pyret.net>

 www/aria2/Makefile  | 7 ++++---
 www/aria2/pkg-plist | 2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 7 Po-Chuan Hsieh freebsd_committer 2021-07-24 20:37:13 UTC
Committed. Thanks!